<div class="container-fluid">
  <div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-7"><h5>You can buy science paper, magazine edition or just subscribe</h5></div>
    <div class="col-lg-1" style="margin-left: -3%">
      <button type="button" class="btn btn-success" (click)="subscribeCall()" id="subscribeButton">
        Subscribe <i class="fa fa-shopping-cart"></i>
      </button>
    </div>
    <div class="col-lg-2" style="margin-left: 1%">
      <button type="button" class="btn btn-success" (click)="createPlan()" id="planButton">
        Create subscription plan <i class="fa fa-table"></i>
      </button>
    </div>
  </div>
  <br/>
  <div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-10"><h5>Choose science paper to buy</h5></div>
  </div>
  <div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-8">
      <table class="table table-striped table-bordered" id="paperTable">
        <thead>
          <tr>
            <th>Name</th>
            <th>Price</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let paper of allPapers">
            <td style="width: 60%">{{paper.name}}</td>
            <td>{{paper.price}}&nbsp;{{paper.currency}}</td>
            <button type="button" id="button{{paper.price}}" class="btn btn-success btn-circle" (click)="buyPaper(paper)">
              <i class="fa fa-shopping-cart"></i>
            </button>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-lg-2"></div>
  </div>
  <br/>
  <div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-10"><h5>Choose magazine edition to buy</h5></div>
  </div>
  <div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-8">
      <table class="table table-striped table-bordered" id="editionTable">
        <thead>
          <tr>
            <th>Name</th>
            <th>Price</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
        <tr *ngFor="let edition of allEditions">
          <td style="width: 60%">{{edition.name}}</td>
          <td>{{edition.price}}&nbsp;{{edition.currency}}</td>
          <button type="button" class="btn btn-success btn-circle" (click)="buyEdition(edition)">
            <i class="fa fa-shopping-cart"></i>
          </button>
        </tr>
        </tbody>
      </table>
    </div>
    <div class="col-lg-2"></div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
